# APPLEVertexArrayRange (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEVertexArrayRange

    java.lang.Object
      org.lwjgl.opengl.APPLEVertexArrayRange

    public final class APPLEVertexArrayRange

extends java.lang.Object

Field Summary
`static int` `GL_DRAW_PIXELS_APPLE` Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:
`static int` `GL_FENCE_APPLE` Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:
`static int` `GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_STORAGE_CACHED_APPLE` Accepted by the <param> parameter of VertexArrayParameteriAPPLE:
`static int` `GL_STORAGE_SHARED_APPLE` Accepted by the <param> parameter of VertexArrayParameteriAPPLE:
`static int` `GL_VERTEX_ARRAY_RANGE_APPLE` Accepted by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:
`static int` `GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_VERTEX_ARRAY_RANGE_POINTER_APPLE` Accepted by the <pname> parameter of GetPointerv:
`static int` `GL_VERTEX_ARRAY_STORAGE_HINT_APPLE` Accepted by the <pname> parameter of VertexArrayParameteriAPPLE, GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glFlushVertexArrayRangeAPPLE(java.nio.ByteBuffer pointer)`
`static void` `glVertexArrayParameteriAPPLE(int pname, int param)`
`static void` `glVertexArrayRangeAPPLE(java.nio.ByteBuffer pointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ARRAY_RANGE_APPLE

    public static final int GL_VERTEX_ARRAY_RANGE_APPLE

  Accepted by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE

    public static final int GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE

    public static final int GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_RANGE_POINTER_APPLE

    public static final int GL_VERTEX_ARRAY_RANGE_POINTER_APPLE

  Accepted by the <pname> parameter of GetPointerv:

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_STORAGE_HINT_APPLE

    public static final int GL_VERTEX_ARRAY_STORAGE_HINT_APPLE

  Accepted by the <pname> parameter of VertexArrayParameteriAPPLE, GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_STORAGE_CACHED_APPLE

    public static final int GL_STORAGE_CACHED_APPLE

  Accepted by the <param> parameter of VertexArrayParameteriAPPLE:

  See Also:
    Constant Field Values

### GL_STORAGE_SHARED_APPLE

    public static final int GL_STORAGE_SHARED_APPLE

  Accepted by the <param> parameter of VertexArrayParameteriAPPLE:

  See Also:
    Constant Field Values

### GL_DRAW_PIXELS_APPLE

    public static final int GL_DRAW_PIXELS_APPLE

  Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

  See Also:
    Constant Field Values

### GL_FENCE_APPLE

    public static final int GL_FENCE_APPLE

  Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

  See Also:
    Constant Field Values

Method Detail

### glVertexArrayRangeAPPLE

    public static void glVertexArrayRangeAPPLE(java.nio.ByteBuffer pointer)

### glFlushVertexArrayRangeAPPLE

    public static void glFlushVertexArrayRangeAPPLE(java.nio.ByteBuffer pointer)

### glVertexArrayParameteriAPPLE

    public static void glVertexArrayParameteriAPPLE(int pname,
                                                    int param)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.